<?php

namespace App\Models;

use Core\Model;

use PDO;
use PDOException;

class Item extends Model{

    public static function all(){
        try{
            $db = self::connection();
            $stmt = $db->prepare("SELECT * FROM items");
            $stmt->execute();
            return $stmt->fetchAll();

        } catch (PDOException $e){
            return false;
        }

    }

    public static function find($id){
        try{
            $db = self::connection();
            $intId = intval($id[0]);
            $stmt = $db->prepare("SELECT * FROM items WHERE id=:id");
            $stmt->bindParam(":id", $intId);
            $stmt->execute();
            return $stmt->fetch();

        }catch (PDOException $e){
            return false;
        }
    }

    public static function findByName($name){
        try{

            $db = self::connection();
            $stmt = $db->prepare("SELECT * FROM items WHERE TRIM(name) =:name");
            $stmt->bindParam(":name", $name);
            $stmt->execute();

            return $stmt->fetch();

        }catch (PDOException $e){
            return false;
        }
    }

    public static function updateStock($stock, $id){
        $db = self::connection();
        $stmt = $db->prepare("UPDATE items SET stock = :stock
                                        WHERE id = :id");
        $stmt->bindParam(":stock", $stock);
        $stmt->bindParam(":id", $id);
        return $stmt->execute();
    }


}
